# Uses of Interface
org.opensaml.xacml.policy.EnvironmentMatchType

Packages that use EnvironmentMatchType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of EnvironmentMatchType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type EnvironmentMatchType
Modifier and Type
Method
Description
`List<EnvironmentMatchType>`
EnvironmentType.`getEnvrionmentMatches()`
Gets the environment matches for this environment.

## Uses of EnvironmentMatchType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement EnvironmentMatchType
Modifier and Type
Class
Description
`class`
`EnvironmentMatchTypeImpl`
Concrete implementation of `EnvironmentMatchType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type EnvironmentMatchType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<EnvironmentMatchType>`
EnvironmentTypeImpl.`environmentMatches`
List of environment matches.
Methods in org.opensaml.xacml.policy.impl that return EnvironmentMatchType
Modifier and Type
Method
Description
`EnvironmentMatchType`
EnvironmentMatchTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`EnvironmentMatchType`
EnvironmentMatchTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type EnvironmentMatchType
Modifier and Type
Method
Description
`List<EnvironmentMatchType>`
EnvironmentTypeImpl.`getEnvrionmentMatches()`
Gets the environment matches for this environment.